### Constructor

# Gtk SpinButtonnew

#### Declaration [src]

    GtkWidget*
    gtk_spin_button_new (
      GtkAdjustment* adjustment,
      double climb_rate,
      guint digits
    )

#### Description [src]

Creates a new `GtkSpinButton`.

#### Parameters

`adjustment`

  Type: `GtkAdjustment`

  The `GtkAdjustment` that this spin button should use.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`climb_rate`

  Type: `double`

  Specifies by how much the rate of change in the value will accelerate if you continue to hold down an up/down button or arrow key.

`digits`

  Type: `guint`

  The number of decimal places to display.

#### Return value

Type: `GtkWidget`

The new `GtkSpinButton`

The data is owned by the called function.